<div class="panel panel-default table-responsive" ng-init="vm.init()">
	<div class="padding-md clearfix">
		<div class="col-md-12 pull-left ">
				<span  type="button" class="btn btn-info pull-right addNewCatt" ng-click="vm.openAdd()">
					Add Category
				</span>
		</div>
		<table class="table table-striped cat-table-comm">
			<thead>
				<tr>
					<th>Category Name</th>
					<th>Category Description</th>
					<th>Category CSS</th>
					<th>Sub Category</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody>
				<tr ng-repeat="list in vm.categories.slice(((currentPage-1)*itemsPerPage), ((currentPage)*itemsPerPage))">
					<td>{{list.categoryName}}</td>
					<td class="catDescription">{{list.categoryDescription}}</td>
					<td>{{list.categoryCss.css}}</td>
					<td>
						<span class="par-edit par-comm" type="button" ui-sref="admin.subCategory({id:list.categoryId})">
							<i class="fa fa-eye fa-lg"></i>
							<div class="tooltip lp-tooltip edit" role="tooltip">
								<div class="tooltip-arrow">
								</div>
								<div class="tooltip-inner">View Sub Category</div>
							</div>
						</span>
					<td>
						<!-- <span class="par-edit par-comm" ng-click="vm.confirmActive(list,false)">
								<i class="fa fa-lg" ng-class="{'fa-times': isCollapsed, 'fa-check': !isCollapsed}"></i>
								<div class="tooltip lp-tooltip" role="tooltip">
									<div class="tooltip-arrow"></div>
									<div class="tooltip-inner">Active/Deactive</div>
								</div>
						</span> -->
						<span class="par-edit par-comm" ng-click="vm.confirmActiveInActive(list,false)" ng-show="list.isActive">
								<i class="fa fa-check fa-lg" ></i>
								<div class="tooltip lp-tooltip" role="tooltip">
									<div class="tooltip-arrow"></div>
									<div class="tooltip-inner">Active</div>
								</div>
						</span>
						<span class="par-edit par-comm" ng-click="vm.confirmActiveInActive(list,true)" ng-show="!list.isActive">
								<i class="fa fa-times fa-lg" ></i>
								<div class="tooltip lp-tooltip" role="tooltip">
									<div class="tooltip-arrow"></div>
									<div class="tooltip-inner">Inactive</div>
								</div>
						</span>
						
						<span class="par-edit par-comm" type="button"  class="btn btn-info" ng-click="vm.openAdd(list)">
							<i class="fa fa-edit fa-lg"></i>
							<div class="tooltip lp-tooltip edit" role="tooltip">
								<div class="tooltip-arrow"></div>
								<div class="tooltip-inner">Edit</div>
							</div>
						</span>
						<span class="par-delete par-comm" ng-click="vm.confirmDelete(list)">
							<i class="fa fa-trash-o fa-lg"></i>
							<div class="tooltip lp-tooltip delete" role="tooltip">
								<div class="tooltip-arrow"></div>
								<div class="tooltip-inner">Delete</div>
							</div>
						</span>
					</td>
				</tr>
			</tbody>
		</table>
		<ul uib-pagination total-items="totalItemsUp" class="top_pagination comm_pagination" ng-model="currentPage" ng-change="pageChangedUpcomming()" class="pagination-sm" items-per-page="itemsPerPage"></ul>
		<!-- <ul uib-pagination total-items="totalItemsUp" class="bottom_pagination comm_pagination" ng-model="currentPage" ng-change="pageChangedUpcomming()" class="pagination-sm" items-per-page="itemsPerPage"></ul> -->
	</div>
</div>